% ERB2FREQ frequency conversion from ERB units to Hz
% [FREQ_VECTOR_HZ] = ERB2FREQ(FREQ_VECTOR_ERB)
%   freq_vector_erb is a vector of frequency values in ERBs (equivalent
%     rectangular bandwidths)
%   freq_vector_hz is a vector of corresponding frequency values in Hz 
%
% Calculated by rearranging the code in freq2erb.m
%
% Reference:  equation (4) on p. 114 of: 
%     Brian R. Glasberg and Brian C. J. Moore. 
%     "Derivation of auditory filter shapes from notched-noise data"
%     Hearing Research, Vol. 47 pp. 103-138, 1990 
% 
% pph Feb. 3, 2004

function [freqVectorHz] = erb2freq(freqVectorERB)

%c1 = 24.673;
%c2 = 4.368; 
%c3 = 2302.6/(c1*c2);
%freqVectorHz = 1000*(10.^(freqVectorERB/c3) - 1)/c2;

freqVectorHz = (10.^(freqVectorERB/21.4) - 1)/0.00437;