% FREQ2ERBWIDTHHZ calculate ERB width in Hz for a given center frequency
% [WIDTH_VECTOR_HZ] = FREQ2ERBWIDTHHZ(FREQ_VECTOR_HZ)
%   freq_vector_hz is a vector of center frequency values in Hz
%   width_vector_hz is a vector of corresponding ERB widths in Hz 
%
% Taken from equation (1) on p. 226 of: 
%     Brian C. J. Moore, Brian R. Glasberg, and Thomas Baer. 
%     "A Model for the Prediction of Thresholds, Loudness, and Partial
%        Loudness" 
%     Journal of the Audio Engineering Society, Vol. 45, No. 4 (April), 1997
%
% pph Feb. 3, 2004

function [widthVectorHz] = freq2erbWidthHz(freqVectorHz)


widthVectorHz = 24.7 * (0.00437*freqVectorHz + 1);