% GENERICINTERP simple linear interpolation between two points
% [Y_VAL] = GENERICINTERP(Y_PAIR,X_PAIR,X_VAL)
%   y_Pair is a pair of "y coordinate" values
%   x_Pair is a pair of "x coordinate" values corresponding to the 
%     y_Pair values
%   x_Val is the "x coordinate" value at which you would like to know the
%     value of its corresponding "y coordinate" value (y_Val)
%
% pph Feb. 3, 2004

function [yVal] = genericInterp(yPair,xPair,xVal)


m = (yPair(2)-yPair(1))/(xPair(2)-xPair(1));
b = yPair(2) - m*xPair(2);
yVal = m*xVal + b;

