% LOUDINSTANT  calculate "instantaneous" loudness from specific loudness
% [LOUDNESS_I] = LOUDINSTANT(SPEC_LOUDNESS,ERB_HOP)
%   spec_loudness is the size [M,N] specific loudness matrix (in units of
%     intensity or power), where M is the number of ERB bands and N is the
%     number of time frames
%   erb_hop is the erb distance between erb centers in spec_loudness.
%     For example, for centers of 3.0, 3.25, and 3.5 ERB, erb_hop = 0.25.  
%   loudness_I is the length N estimated instantaneous loudness of a 
%     signal which has the instantaneous loudness profile loudness_I; 
%     has units in sones
%
% pph Feb. 3, 2004

function [loudnessI] = loudInstant(specLoudness,erbHop)

% simply sum across ERB bands and normalize according to the amount
% of ERB band overlap
loudnessI = sum(specLoudness,1)*erbHop;
