%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Institution: Stanford University
% Project: RealSimple Psychoacoustics Lab
% Author: Ryan J. Cassidy
% Date: Fall 2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This Matlab script tests the first section of the psychoacoustics lab for
% the RealSimple project.
%
% [1] B. R. Glasberg and B. C. J. Moore, "A model of loudness applicable to
% time-varying sounds", Journal of the Audio Engineering Society,
% 50(5):331--342, 2002.
% 
% VERSION CONTROL INFORMATION:
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x = loadLoudnessTestSound();

xFilt = transmissionOuterMidEar(x);

xSTFT = cochlearInput2fftInt(xFilt);

[xExcitogram,bandCentersHz] = fftInt2ExcitPat(xSTFT);

excitPatPlot(xExcitogram, bandCentersHz);
