%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Institution: Stanford University
% Project: RealSimple Psychoacoustics Lab
% Author: Ryan J. Cassidy
% Date: Fall 2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TRANSMISSIONOUTERMIDEAR Filters the input x according to the transfer
% characteristics of the outer and middle ear described in [1].  TODO_RJC: This
% function is currently a pure gain, which serves as a placeholder for the
% transfer function yet to be implemented.
%
% xFilt = TRANSMISSIONOUTERMIDEAR(x)
%
%    - x: the input signal (sampling rate is 32 kHz, as assumed in [1]), and
%
%    - xFilt: the filtered output signal (same sampling rate).
%
% [1] B. R. Glasberg and B. C. J. Moore, "A model of loudness applicable to
% time-varying sounds", Journal of the Audio Engineering Society,
% 50(5):331--342, 2002.
% 
% VERSION CONTROL INFORMATION:
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function xFilt = transmissionOuterMidEar(x)

fs = 32e3; % As assumed in [1].

xFilt = 750*x; % Gain factor determined by Patty Huang to make output levels
               % "come out right."
	       

